Skip to content
Start here

Delete Custom Hostname (and any issued SSL certificates)

DELETE/zones/{zone_id}/custom_hostnames/{custom_hostname_id}

Permanently deletes a custom hostname and revokes any SSL certificates that were issued for it. This action cannot be undone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
custom_hostname_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
id: optional string

Identifier.

maxLength32

Delete Custom Hostname (and any issued SSL certificates)

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/custom_hostnames/$CUSTOM_HOSTNAME_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}
Returns Examples
{
  "id": "023e105f4ecef8ad9ca31a8372d0c353"
}